Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.versification
Class Msg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.jsword.versification.Msg

    public final class Msg

extends MsgBase

Compile safe Msg resource settings.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`(package private) static Msg` | `BOOKS_BOOK`
`(package private) static Msg` | `BOOKS_BOOKCHAP`
`(package private) static Msg` | `BOOKS_CHAPTER`
`(package private) static Msg` | `BOOKS_DECODE`
`(package private) static Msg` | `BOOKS_FIND`
`(package private) static Msg` | `BOOKS_NUMBER`
`(package private) static Msg` | `BOOKS_ORDINAL`
`(package private) static Msg` | `BOOKS_SECTION`
`(package private) static Msg` | `BOOKS_VERSE`
`(package private) static Msg` | `ERROR_CASE`

Constructor Summary
`private` | `Msg(String name)` Passthrough ctor

Method Summary

Methods inherited from class org.crosswire.common.util.MsgBase
`loadResources, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BOOKS_BOOK

    static final Msg BOOKS_BOOK

### BOOKS_SECTION

    static final Msg BOOKS_SECTION

### BOOKS_NUMBER

    static final Msg BOOKS_NUMBER

### BOOKS_FIND

    static final Msg BOOKS_FIND

### BOOKS_BOOKCHAP

    static final Msg BOOKS_BOOKCHAP

### BOOKS_ORDINAL

    static final Msg BOOKS_ORDINAL

### BOOKS_DECODE

    static final Msg BOOKS_DECODE

### BOOKS_CHAPTER

    static final Msg BOOKS_CHAPTER

### BOOKS_VERSE

    static final Msg BOOKS_VERSE

### ERROR_CASE

    static final Msg ERROR_CASE

Constructor Detail

### Msg

    private Msg(String name)

  Passthrough ctor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD